(defun --bonjour-prénom ()
  "Renvoie le prénom de l’utilisateur courant"
  (if (seq-contains user-full-name  ?.)
      ;; Pour les prof "prénom.NOM"
      (replace-regexp-in-string "\\..*" ""
                                user-full-name)
    ;; Pour les étudiants "nom prénom"
    (replace-regexp-in-string ".* " "" user-full-name)))


(defun bonjour ()
  (interactive)
  (let ((nom (capitalize (--bonjour-prénom))))
    (message (concat "Bonjour " nom " !"))
    nil))
