;; -*- lexical-binding: t; -*-
;; L’objectif de ce fichier est de stocker toutes les bibliothèques à
;; charger.  En les mettant dans un dossier géré par l’équipe
;; enseignante, il est plus simple de les modifier de manière globale
;; pour toute la promo.

;; (setq load-path (cons "/users/personnel/o/obaldellon/Public/elisp/" load-path))

(setq load-path (cons "~/.emacs.d/upinfo/" load-path))




;;;;;;;;;;;;;;;;;;;;;;
;;                  ;;
;;  Bibliothèques   ;;
;;                  ;;
;;;;;;;;;;;;;;;;;;;;;;

(load "lib-upinfo.el")

;; Permet de faire de jolies commentaires encadrés comme ci-dessus.
;; Le raccourci clavier associé est C-x p <tab>
;; Fonctionne en C, Python, Shell et Lisp
(load "upinfo-ascii-art.el")

;; Les différentes configurations correspondant aux différents
;; languages
(load "programmation-mode.el")

;; Pour l’aide affichant les principaux raccourcis Emacs affiché à
;; l’ouverture ou en faisant M-x Aide
(autoload 'aide "upinfo-aide" "Aide" t)
(autoload 'upinfo/démarrage "upinfo-aide" "Aide" t)

(setq inhibit-startup-screen t)
(add-hook 'emacs-startup-hook 'upinfo/démarrage)


;; Permet de dire Bonjour : M-x bonjour
(autoload 'bonjour "bonjour.el" "Module de test" t)

;; Une calculette à Pile. On peut l’appeler en faisant M-x pile
(autoload 'pile "pile.el" "Polonaise inversée" t)
